Caverphone1 (Encode/Decode Utilities (Version 1.10))
Date: 2019-08-31

org.apache.commons.codec.language

## Class Caverphone1

- java.lang.Object
- - org.apache.commons.codec.language.AbstractCaverphone
  - - org.apache.commons.codec.language.Caverphone1

- All Implemented Interfaces:
    Encoder, StringEncoder

      public class Caverphone1
      extends AbstractCaverphone

  Encodes a string into a Caverphone 1.0 value. This is an algorithm created by the Caversham Project at the University of Otago. It implements the Caverphone 1.0 algorithm:
  Since:
    1.5

    This class is immutable and thread-safe.

  Version:
    $Id: Caverphone.java 1075947 2011-03-01 17:56:14Z ggregory $
  See Also:
    Wikipedia - Caverphone, Caverphone 1.0 specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `SIX_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Caverphone1()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `encode(java.lang.String source)` Encodes the given String into a Caverphone value.

    - ### Methods inherited from class org.apache.commons.codec.language.AbstractCaverphone

      `encode, isEncodeEqual`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIX_1

          private static final java.lang.String SIX_1

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Caverphone1

          public Caverphone1()

  - ### Method Detail

    - #### encode

          public java.lang.String encode(java.lang.String source)

      Encodes the given String into a Caverphone value.
      Parameters:
        `source` - String the source string
      Returns:
        A caverphone code for the given String

commons-codec version 1.10 - Copyright © 2002-2019 - Apache Software Foundation